#include "Molecular_numerator.h"

#include "Molecule.h"
#include "Molecular_group.h"

namespace MM
{

Molecular_numerator::
Molecular_numerator (Molecular_group const & group)
:
    group_(group)
{
    int count = group_.molecule_count();

    for (int i=0;  i<count;  ++i)
        group_.molecule(i).set_local_id (i);
}

Molecular_numerator::
~Molecular_numerator ()
{
    #ifndef NDEBUG
    int count = group_.molecule_count();

    for (int i=0;  i<count;  ++i)
        group_.molecule(i).set_local_id ("");
    #endif
}

}//MM
